Create a presigned file upload URL
curl --request POST \
--url https://api.cloud.wherobots.com/storage/{storage_id}/file-upload-url/{path} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.wherobots.com/storage/{storage_id}/file-upload-url/{path}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.wherobots.com/storage/{storage_id}/file-upload-url/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.wherobots.com/storage/{storage_id}/file-upload-url/{path}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cloud.wherobots.com/storage/{storage_id}/file-upload-url/{path}")
.header("Authorization", "Bearer <token>")
.asString();{
"destination": "<string>",
"uploadUrl": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}Create a presigned file upload URL
POST
/
storage
/
{storage_id}
/
file-upload-url
/
{path}
Create a presigned file upload URL
curl --request POST \
--url https://api.cloud.wherobots.com/storage/{storage_id}/file-upload-url/{path} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.wherobots.com/storage/{storage_id}/file-upload-url/{path}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.wherobots.com/storage/{storage_id}/file-upload-url/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.wherobots.com/storage/{storage_id}/file-upload-url/{path}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cloud.wherobots.com/storage/{storage_id}/file-upload-url/{path}")
.header("Authorization", "Bearer <token>")
.asString();{
"destination": "<string>",
"uploadUrl": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}{
"errors": [
{
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>"
}
],
"requestId": "<string>"
}Authorizations
bearerTokenwherobotsApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I

